系统管理/统一认证服务器相关接口
POSTSingle Sign-On Server Interfaces起始版本 4.3.0同步需要认证
创建认证成功跳转的模版
创建认证成功跳转的模版
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
nameString必填资源名称。
descriptionString必填资源的详细描述。
clientUuidString必填客户端UUID。
redirectTemplateString必填重定向模板。
resourceUuidString资源UUID。若指定,资源会使用该字段值作为UUID。
响应状态
请求地址
POST/zstack/v1/create/sso/redirect/template/
/zstack/v1/create/sso/redirect/template/
请求示例
curl -X POST 'http://{host}/zstack/v1/create/sso/redirect/template/' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","clientUuid":"<clientUuid>","redirectTemplate":"<redirectTemplate>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "8b233284793c3da397f6ebd7351c3a54", "name": "test", "description": "desv", "clientUuid": "827d2ea3ae8133bbba0b726c1d8e716d" } }变更历史
此 API 暂无变更历史记录。
